# Maintainer: anon at sansorgan.es
_base=dune-localfunctions
pkgname="python-${_base}"
_pypiver=2.8.0rc1
pkgver=${_pypiver%%rc*}
pkgrel=1
#epoch=
pkgdesc="Local Finite Elements"
arch=('x86_64')
url="https://dune-project.org/modules/${_base}"
license=('GPL2')
# groups=('dune-python')
depends=('python-dune-geometry')
makedepends=('texlive-latexextra' 'doxygen' 'graphviz')
#checkdepends=()
optdepends=('vc: C++ Vectorization library'
  'texlive-latexextra: Type setting system'
  'doxygen: Generate the class documentation from C++ sources'
  'graphviz: Graph visualization software'
  'parmetis: Parallel Graph Partitioning and Fill-reducing Matrix Ordering'
  'scotch: Software package and libraries for graph, mesh and hypergraph partitioning, static mapping, and sparse matrix block ordering'
  'superlu: Set of subroutines to solve a sparse linear system'
  'suitesparse: A collection of sparse matrix libraries')
# 'biber: A Unicode-capable BibTeX replacement for biblatex users'
# 'inkscape: converts SVG images'
provides=(${_base})
conflicts=(${_base})
#replaces=()
#backup=()
#options=()
#install=
#changelog=
source=(https://pypi.org/packages/source/${_base::1}/${_base}/${_base}-${_pypiver}.tar.gz)
#noextract=()
sha512sums=('5d499853740192ba9bd92e73c0a42922d3683f6fe4c3e607ee7f346a9d7396f20f83813d0556bbc56071d727872653369f9e16caf84c4a7f63888fb1a59dc531')

build() {
  cd "${_base}-${_pypiver}"
  python setup.py build_clib
  python setup.py build_ext --inplace -DBUILD_SHARED_LIBS=TRUE
  python setup.py build
}

package() {
  cd "${_base}-${_pypiver}"
  export PYTHONHASHSEED=0
  python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
  install -Dm644 LICENSE.md "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
}
